Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.async
[Groovy] Class WebRequestPromiseDecoratorLookupStrategy

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.async.WebRequestPromiseDecoratorLookupStrategy

All Implemented Interfaces:
  PromiseDecoratorLookupStrategy

    @groovy.transform.CompileStatic
    class WebRequestPromiseDecoratorLookupStrategy

A promise decorated lookup strategy that binds a WebRequest to the promise thread

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`java.util.List` | `findDecorators()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### findDecorators

    @java.lang.Override
    java.util.List findDecorators()

Groovy Documentation